darcs

Issue 2204 do not send email by default

Title do not send email by default
Priority feature Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List kowey
Assigned To
Topics UI

Created on 2012-06-18.18:55:14 by kowey, last changed 2012-09-02.12:35:32 by noreply.

Messages
msg15810 (view) Author: kowey Date: 2012-06-18.18:55:12
We live in a world where people do not generally have happy little MTAs 
set up on their machines.

I propose the following:

* darcs send should just generate a patch bundle (equivalent to darcs-
2.8 send -O)
* darcs send --mail by itself should send the bundle via sendmail (no 
file saved; equivalent to darcs-2.8 send)
* darcs send --mail -O should ignore the --mail flag (likewise with -o)

If the default darcs send is used, it may make sense to generate a 
reminder about --mail
msg16042 (view) Author: noreply Date: 2012-09-02.12:35:31
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue2204 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve issue2204: do not send mail by default. 
Ignore-this: 16800408d29b704d0d15ba1d44d83b9e
History
Date User Action Args
2012-06-18 18:55:14koweycreate
2012-08-02 16:10:07koweylinkpatch864 issues
2012-09-02 12:35:32noreplysetstatus: needs-implementation -> resolved
messages: + msg16042
resolvedin: 2.10.0 HEAD